import request from '@/utils/request'

// 查询违法行为档案列表
export function listIllegal(query) {
  return request({
    url: '/gasBottleTrack/illegal/list',
    method: 'get',
    params: query
  })
}

// 查询违法行为档案详细
export function getIllegal(illegalId) {
  return request({
    url: '/gasBottleTrack/illegal/' + illegalId,
    method: 'get'
  })
}

// 新增违法行为档案
export function addIllegal(data) {
  return request({
    url: '/gasBottleTrack/illegal',
    method: 'post',
    data: data
  })
}

// 修改违法行为档案
export function updateIllegal(data) {
  return request({
    url: '/gasBottleTrack/illegal',
    method: 'put',
    data: data
  })
}

// 删除违法行为档案
export function delIllegal(illegalId) {
  return request({
    url: '/gasBottleTrack/illegal/' + illegalId,
    method: 'delete'
  })
}

// 导出违法行为档案
export function exportIllegal(query) {
  return request({
    url: '/gasBottleTrack/illegal/export',
    method: 'get',
    params: query
  })
}